/*
 Calisto (c) 1998-1999 Peter Howkins, Matthew Howkins, Simon Howkins

 $Id: globals.h,v 1.5 2000/02/07 20:39:37 peter Exp $

 $Log: globals.h,v $
 Revision 1.5  2000/02/07 20:39:37  peter
 Added global variable max_connections

 Revision 1.4  2000/01/12 20:32:51  peter
 Added CRYPT_SALT for password encryption

 Revision 1.3  1999/12/29 20:20:59  peter
 Created global variables for values from .ini file

 Revision 1.2  1999/12/27 16:45:51  peter
 added descriptor pool header

 Revision 1.1  1999/12/21 20:30:21  peter
 Initial revision


 */
#include <time.h>

#include "dllist.h"
#include "pool.h"
#include "structs.h"
#include "log.h"

#define CRYPT_SALT "Ca"

extern const unsigned version;
extern time_t starttime;

/* Playing character list */
extern listhead AllConns;
extern listhead AllPlayers;

extern bool sdown;

extern pool *descriptor_pool;

/* Values from .ini file */
extern char talker_name[];
extern unsigned port;
extern char admin_name[];
extern bool use_net_lookups;
extern unsigned idle_boot_time;
extern unsigned max_connections;
